clear all
% close all
clc

%% Parameters
well = gen_well_parameters;
num_modes = 32;
num_freqs = 4100;
sigma = 0.0;
gamma_fun = @(alpha,sigma) (sigma+2*alpha);
r = [100,110,120]; %[1,3,4]*num_modes;

dw = 0.0001;
w = (dw:dw:10)';
s = 1j*w;

% Finding alpha and gamma
HrV0VL      = zeros(length(s),length(r));
HrPLVL      = zeros(length(s),length(r));
dim1 = 1;
dim2 = 1;
numV0VL = cell(length(r),1);
denV0VL = cell(length(r),1);
[gammaV0VL, alphaV0VL] = find_alpha_and_gamma(sigma,@sample_ritz_V0toVL,num_modes,num_freqs,gamma_fun,dim1,dim2);
% [gammaPpVi, alphaPpVa] = find_alpha_and_gamma(sigma,@sample_ritz_PLtoVL,num_modes,num_freqs,gamma_fun,1,3);
for k = 1:length(r)
    [numV0VL{k}, denV0VL{k}] = gen_rational_tf(num_freqs,alphaV0VL, gammaV0VL,r(k),@sample_ritz_V0toVL,num_modes,dim1,dim2);

%     [numPLVL, denPLVL] = gen_rational_tf(num_freqs,alphaPpVa, gammaPpVi,r(k),@sample_ritz_PLtoVL,num_modes,3,1);
    HrV0VL(:,k) = calc_rational_freq_response(numV0VL{k},denV0VL{k},s);
%     HrPLVL(:,k) = calc_rational_freq_response(numPLVL,denPLVL,s);
end

HiV0ViL = calc_analytical_freq_response(s,[1 0 0 0 0 0]');
% HiV0ViL = calc_analytical_freq_response(s,[1 0 0 0 0 0]');

%% Plotting 
% Plot config
% width = 5.5;     % Width in inches
% height = 3.45;    % Height in inches
% alw = 0.75;    % AxesLineWidth
% fsz = 9;      % Fontsize
% lw = 2;      % LineWidth
% msz = 8;       % MarkerSize
% set(0,'defaultLineLineWidth',lw);
% set(0,'defaultLineMarkerSize',msz); 
% set(0,'defaultLineLineWidth',lw);  
% set(0,'defaultLineMarkerSize',msz);
% set(0,'defaulttextfontsize',fsz);
% set(0,'defaultAxesFontSize',fsz);
% defpos = get(0,'defaultFigurePosition');
% set(0,'defaultFigurePosition', [defpos(1) defpos(2) width*100, height*100]);
% set(0,'defaultFigureInvertHardcopy','on'); % This is the default anyway
% set(0,'defaultFigurePaperUnits','inches'); % This is the default anyway
% defsize = get(gcf, 'PaperSize');
% close all
% left = (defsize(1)- width)/2;
% bottom = (defsize(2)- height)/2;
% defsize = [left, bottom, width, height];
% set(0, 'defaultFigurePaperPosition', defsize);
% set(0,'defaulttextinterpreter','latex');



path = 'C:\Users\andedah\Dropbox\master\thesis\fig\';
fnames = {'Vi0ViL_pde_vs_rat_r32_o0','Vi0ViL_pde_vs_rat_r96_o0','Vi0ViL_pde_vs_rat_r128_o0'};
pnames = {'Vi0ViL_rat_r32_pz','Vi0ViL_rat_r96_pz','Vi0ViL_rat_r128_pz'};
for k = 1:length(r)
    h = figure;
    subplot(211),plot(w,abs(HiV0ViL(:,1)),w,abs(HrV0VL(:,k)),'r--')
    xlim([dw,w(end)]), ylim([0,5.5])
    xlabel('$\omega$[rad/s]'),ylabel('Amplitude')
    legend('PDE','Rational')
    subplot(212),plot(w,angle(HiV0ViL(:,1)),w,angle(HrV0VL(:,k)),'r--')
    xlim([dw,w(end)]), xlabel('$\omega$[rad/s]'),ylabel('Phase')
%     print(h,'-dpng',[path,fnames{k}],'-r600')   
%     h = figure;
%     subplot(211),plot(w,abs(HiV0ViL(:,6)),w,abs(HrPLVL(:,k)),'r--')
%     xlim([dw,w(end)]), xlabel('$\omega$[rad/s]'),ylabel('Amplitude')
%     legend('PDE','Rational')
%     subplot(212),plot(w,angle(HiV0ViL(:,6)),w,angle(HrPLVL(:,k)),'r--')
%     xlim([dw,w(end)]), xlabel('$\omega$[rad/s]'),ylabel('Phase')
end

%%
width = 5.5;     % Width in inches
height = 5.5;    % Height in inches
alw = 0.75;    % AxesLineWidth
fsz = 9;      % Fontsize
lw = 2;      % LineWidth
msz = 8;       % MarkerSize
set(0,'defaultLineLineWidth',lw);
set(0,'defaultLineMarkerSize',msz); 
set(0,'defaultLineLineWidth',lw);  
set(0,'defaultLineMarkerSize',msz);
set(0,'defaulttextfontsize',fsz);
set(0,'defaultAxesFontSize',fsz);
defpos = get(0,'defaultFigurePosition');
set(0,'defaultFigurePosition', [defpos(1) defpos(2) width*100, height*100]);
set(0,'defaultFigureInvertHardcopy','on'); % This is the default anyway
set(0,'defaultFigurePaperUnits','inches'); % This is the default anyway
defsize = get(gcf, 'PaperSize');
close all
left = (defsize(1)- width)/2;
bottom = (defsize(2)- height)/2;
defsize = [left, bottom, width, height];
set(0, 'defaultFigurePaperPosition', defsize);
set(0,'defaulttextinterpreter','latex');
h=figure;
tnames = {' $V_i$ $(0)/V_i$ $(L)$, $r=32$', ' $V_i$ $(0)/V_i$ $(L)$, $r=96$', ' $V_i$ $(0)/V_i$ $(L)$, $r=128$'};

for k = 1:length(r)
    subplot(length(r),1,k)
    plot(zero(tf(numV0VL{k}, denV0VL{k})),'or'), hold on
    plot(pole(tf(numV0VL{k}, denV0VL{k})),'x')
    legend('Poles','Zeros','location','northwest')
%     title(['Poles and Zeros',tnames{k}]), xlabel('Re'), ylabel('Im')
end
% print(h,'-dpng',[path,pnames{3}],'-r600')
























