function [gamma_vec, alpha_vec] = find_alpha_and_gamma(sigma_vec, sample_func, num_modes, num_frqs, gamma_func,dim1,dim2)
    alpha_vec = zeros(size(sigma_vec));
    gamma_vec = zeros(size(sigma_vec));
    
    alpha_min = 0.001;
    alpha_max = 1;
    
    for i = 1:length(sigma_vec)
        sigma = sigma_vec(i);
        alpha_opt = fminbnd(@error_fun, alpha_min, alpha_max, [], gamma_func, num_frqs, sigma, sample_func, num_modes,dim1,dim2);
        alpha_vec(i) = alpha_opt;
        gamma_vec(i) = gamma_func(alpha_opt, sigma);
    end
end

