function Vi0ViL = sample_Vi0ViL( sample_points, num_modes )
    sys = gen_transmission_line_freq_dependant_parameters(sample_points);
    Gamma   = sys.Gamma;
    L       = sys.L;

    Vi0ViL = zeros(length(sample_points),1);
    
    for w = 1:length(sample_points)
        rnV = zeros(size(Gamma{w}));
        for n = 1:num_modes
            rnV = rnV + ( (((2*n-1)*pi/(2*L))^2*eye(3) + Gamma{w})...
                \(4/((2*n-1)*pi)*Gamma{w}*(-1)^n) );
        end
        tempV0toVL = (eye(3) + rnV);
        
        Vi0ViL(w) = tempV0toVL(1,1);
    end
end

