function PLtoP0 = sample_ritz_PLtoP0(sample_points, num_modes, dim1, dim2)
    sys = gen_transmission_line_freq_dependant_parameters(sample_points);
    Gamma   = sys.Gamma;
    Y       = sys.Y;
    L       = sys.L;
    
    PLtoP0 = zeros(length(sample_points),1);
    
    for w = 1:length(sample_points)
        rn = zeros(size(Gamma{1}));
        for n = 1:num_modes
            rn = rn + (-1)^n * ( (((2*n-1)*pi/(2*L))^2*eye(3) + Gamma{w}) \ ((4/((2*n-1)*pi))*Gamma{w}*Y{w}) );
        end
        temp = eye(3) + (Y{w}\rn);
        PLtoP0(w) = temp(dim1, dim2);
    end
end


