function PLtoVL = sample_ritz_PLtoVL(sample_points, num_modes, dim1, dim2)
    sys = gen_transmission_line_freq_dependant_parameters(sample_points);
    Gamma   = sys.Gamma;
    Y       = sys.Y;
    L       = sys.L;
    
    PLtoVL = zeros(length(sample_points),1);
    
    for w = 1:length(sample_points)
        rn = zeros(size(Gamma{1}));
        for n = 1:num_modes
            rn = rn + (((2*n-1)*pi/(2*L))^2*eye(3) + Gamma{w}) \ (2*Gamma{w}/L);
        end
        temp = (Y{w}\rn);
        PLtoVL(w) = temp(dim1, dim2);
    end
end

