function V0toP0 = sample_ritz_V0P0_test(sample_points, num_modes, dim1, dim2)
    sys = gen_transmission_line_freq_dependant_parameters(sample_points);
    Gamma   = sys.Gamma;
    Y       = sys.Y;
    L       = sys.L;

    V0toP0 = zeros(length(sample_points),1);

    for w = 1:length(sample_points)
        rnP = zeros(size(Gamma{w}));
        for n = 1:num_modes
            rnP = rnP + ( (((2*n-1)*pi/(2*L))^2*eye(3) + Gamma{w})...
                \(8*L/((2*n-1)^2*pi^2)*Gamma{w}) );
        end
        tempV0toP0 = ( (0-L)*(eye(3))+rnP );
        
        V0toP0(w) = tempV0toP0(dim1, dim2);
    end    
end
