function err = error_fun(alpha, gamma_fun, N, sigma, sample_func, num_modes, depth)
    gamma = gamma_fun(alpha,sigma);
    sample_points = laguerre_sample_points(N,alpha,gamma);
    data = sample_func(sample_points, num_modes, depth);

    err_num = 0;
    err_den = 0;
    for eta = 1:size(data,2)
        q_spec = laguerre_spectrum(N,gamma,data(:,eta));
        err_num = err_num + (0:(N-1))*q_spec.^2;
        err_den = err_den + q_spec'*q_spec;
    end
    err = err_num / err_den;
end

