function [num, den] = gen_rational_tf(num_frqs, alpha, gamma, order, sample_func, num_modes, depth)
    sample_points = laguerre_sample_points(num_frqs, alpha, gamma);
    sample_data = sample_func(sample_points, num_modes, depth);
    
    q_spec = zeros(size(sample_data));
    for eta = 1:size(sample_data,2)
        q_spec(:,eta) = laguerre_spectrum(num_frqs, gamma, sample_data(:,eta));
    end
    [num,den] = laguerre_gram(q_spec, num_frqs, alpha, gamma, order);
end

