function q_hat = laguerre_spectrum(num_frqs, gamma, data_vec)% numFreqs, gamma_LG, dataVec) %
    k = (-num_frqs:(num_frqs-1))';
    theta = pi*(k+0.5)/num_frqs;
    
    data_vec_aug = [flipud( conj(data_vec) ); data_vec];
    
    G = ( sqrt(gamma)./( 1-exp(1j*theta) ) ).*data_vec_aug;
    temp = exp( -1j*k*pi/(2*num_frqs) ).*fftshift(fft(fftshift(G)))/(2*num_frqs);
    q_hat = real( temp( (num_frqs+1):(2*num_frqs) ) );
end

