clear all
close all
clc

sigma = 0.01;
num_frqs = 150;
num_modes = 16;
depth = 0;
order = 50;

gamma_func = @(alpha, sigma) (2*alpha + sigma);
[gamma, alpha] = find_alpha_and_gamma(sigma, @sample_ritz_approx, num_modes, depth, num_frqs, gamma_func);
%%
[num,den] = gen_rational_tf(num_frqs, alpha, gamma, order, @sample_ritz_approx, num_modes, depth);

dw = 0.001;
w  = (dw:dw:5)';
s  = 1j*w;
%%

H_rat = zeros(length(s),size(num,1));
for eta = 1:size(H_rat,2)
    H_rat(:,eta) = polyval(num(eta,:),s)./polyval(den,s);
end

H_ira = sample_ritz_approx(s,num_modes,depth);

figure
for eta = 1:size(H_rat,2)
    subplot(sqrt(size(H_rat,2)),sqrt(size(H_rat,2)),eta)
    plot(w,abs(H_ira(:,eta)),w,abs(H_rat(:,eta)))
end

figure
for eta = 1:size(H_rat,2)
    subplot(sqrt(size(H_rat,2)),sqrt(size(H_rat,2)),eta)
    plot(w,phase(H_ira(:,eta)),w,phase(H_rat(:,eta)))
end
