clear all
close all
clc

% Parameters
dw = 0.001;
w  = (dw:dw:30)';
s  = 1j*w;

% Analytical solution of test function
H_analytical = transmission_line_test(s);

% Finding alpha and gamma
sigma = 0;
N = 150;
gamma_func = @(alpha, sigma)(2*alpha+sigma);
[gamma, alpha] = find_alpha_and_gamma(sigma,@transmission_line_test,N,gamma_func)
% alpha = 0.3;
% gamma = 2*alpha
% Finding rational transfer function approximation
r = 10;
num = zeros(length(sigma),r);
den = zeros(length(sigma),r+1);
H_approx  = zeros(length(sigma),length(s));

% alpha = 18.5; gamma = 2*alpha;

for k = 1:length(sigma)
    [temp_num, temp_den, s_vec, data, qn] = gen_rational_tf(N,alpha(k),gamma(k),r,@transmission_line_test);
    num(k,:) = temp_num;
    den(k,:) = temp_den;
    H_approx(k,:) = polyval(num(k,:),s)./polyval(den(k,:),s);
end
%%
% figure, impulse(temp_num,temp_den)
% figure
% subplot(311), plot(s_vec)
% subplot(312), plot(data)
% subplot(313), plot(qn)

%% Plotting
figure
subplot(211)
plot(w,abs(H_analytical),'r'), title('Magnitude')
hold on
for k = 1:length(sigma)
    plot(w,abs(H_approx(k,:)))
end
subplot(212)
plot(w,phase(H_analytical),'r'), title('Phase')
hold on
for k = 1:length(sigma)
    plot(w,phase(H_approx(k,:)))
end
% bode(tf(num,den))
