function h = transmission_line_test(s)
    rho     = 1420;
    beta    = 1.84e9;
    Ai      = 0.0118;
    r0      = sqrt(Ai/pi);
    v       = 30e-6;
    L       = 5000;
    
    xi = 1j*sqrt(s/v);
    
    C  = 1./(besselh(0,1,xi*r0)+besselh(0,2,xi*r0));
    I1 = besselh(1,1,xi*r0)*r0./xi;
    I2 = besselh(1,2,xi*r0)*r0./xi;
    
    Z = rho*s./(1-C.*(I1+I2)*2*pi/Ai);
    Y = s/beta;
    
    Zc = sqrt(Z./Y);
    Gc = L*sqrt(Z.*Y);
    
    h = Zc.*tanh(Gc);
%     h = 1 ./ ( 1+sinh(sqrt(s))./sqrt(s) );
end

