function V0toP0 = sample_ritz_V0toP0(sample_points, num_modes, depth)
    sys = gen_transmission_line_freq_dependant_parameters(sample_points);
    Gamma   = sys.Gamma;
    Y       = sys.Y;
    L       = sys.L;

    V0toP0 = zeros(length(sample_points),length(Gamma{1})^2);

    for w = 1:length(sample_points)
        rnP = zeros(size(Gamma{w}));
        for n = 1:num_modes
            rnP = rnP + ( (((2*n-1)*pi/(2*L))^2*eye(3) + Gamma{w})...
                \(8*L/((2*n-1)^2*pi^2)*Gamma{w}*((Y{w}))) )*cos((2*n-1)*pi/(2*L)*depth);
        end
        tempV0toP0 = ( (depth-L)*((Y{w}))+rnP );
        
        V0toP0(w,:) = [tempV0toP0(:,1).', tempV0toP0(:,2).', tempV0toP0(:,3).'];
    end    
end