function V0toVL = sample_ritz_V0toVL(sample_points, num_modes, depth)
    sys = gen_transmission_line_freq_dependant_parameters(sample_points);
    Gamma   = sys.Gamma;
    L       = sys.L;

    V0toVL = zeros(length(sample_points),length(Gamma{1})^2);
    
    for w = 1:length(sample_points)
        rnV = zeros(size(Gamma{w}));
        for n = 1:num_modes
            rnV = rnV + ( (((2*n-1)*pi/(2*L))^2*eye(3) + Gamma{w})...
                \(4/((2*n-1)*pi)*Gamma{w}*(-1)^n) )*cos((2*n-1)*pi/(2*L)*depth);
        end
        tempV0toVL = (eye(3) + rnV);
        
        V0toVL(w,:) = [tempV0toVL(:,1).', tempV0toVL(:,2).', tempV0toVL(:,3).'];
    end    
end

