clear all
close all
clc

%% Parameters
% Generating well paramterers
well = gen_well_parameters;
% Simulation depth (height from bottom)
depth = 0;
% Number of modes in Ritz approximation
num_modes = 16;
% Finding alpha and gamma for generation of rational approximation
num_freqs = 150;    % Number of sample frequencies to find rational approx
sigma = 0.01;       % Weight parameter for weighted inner product, exp(-sigma*t)
gamma_func = @(alpha,sigma) (sigma+2*alpha); % Function to find gamma
[gammaP, alphaP] = find_alpha_and_gamma(sigma,@sample_ritz_V0toP0,num_modes,depth,num_freqs,gamma_func);
[gammaV, alphaV] = find_alpha_and_gamma(sigma,@sample_ritz_V0toVL,num_modes,depth,num_freqs,gamma_func);
% Order of rational transfer functions
rP = 30;
rV = 30;
% Simulation time
t_start = 0;
t_stop = 10;

%% Approximating rational transfer functions
[numP, denP] = gen_rational_tf(num_freqs,alphaP,gammaP,rP,@sample_ritz_V0toP0,num_modes,depth);
[numV, denV] = gen_rational_tf(num_freqs,alphaV,gammaV,rV,@sample_ritz_V0toVL,num_modes,depth);

%% Calculating rational transfer functions

%% Calculating analytical frequency solution


%% Run Simulink Model

%% Plotting 
% Plotting analytical frequency domain solution versus rational Ritz approx
